> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/other-integrations/discord.md).

# Discord

Integrating Convai Character with Discord Bot

### Overview

In this documentation, we list out the steps needed to create your own discord bot and connect that with a Convai Character and host a server for the bot to make it accessible to the users in discord.

{% hint style="info" %}
Feel free to join our [Discord Server](https://discord.gg/TG98s8FWKN) and be a part of innovative and passionate developers, while you build your own Convai Character.
{% endhint %}

### Let's Create a Character

Before we move on with hosting a discord bot server, let us first create our own character, to connect the bot to. Please follow the steps in the given page to easily get started with creating a simple character.

{% content-ref url="/pages/Q5SplR81qembnni7lWul" %}
[Broken mention](broken://pages/Q5SplR81qembnni7lWul)
{% endcontent-ref %}

Now, that we have a character, let us move on to the next step

{% content-ref url="/pages/NWZSbTROld5nxDdcr3N1" %}
[Create a Discord Bot](/api-docs/plugins-and-integrations/other-integrations/discord/create-a-discord-bot.md)
{% endcontent-ref %}

{% hint style="warning" %}
Convai is looking into solutions for hosting the server bot for you so that you do not have to go through self-hosting in the above steps. We will update the docs as soon as we have a solution.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/other-integrations/discord.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
